package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.StUserMapper;
import com.ruoyi.system.domain.StUser;
import com.ruoyi.system.service.IStUserService;

/**
 * 用户7/30天统计数据Service业务层处理
 * 
 * @author haotian
 * @date 2024-11-04
 */
@Service
public class StUserServiceImpl implements IStUserService 
{
    @Autowired
    private StUserMapper stUserMapper;

    /**
     * 查询用户7/30天统计数据
     * 
     * @param userId 用户7/30天统计数据主键
     * @return 用户7/30天统计数据
     */
    @Override
    public StUser selectStUserByUserId(Long userId)
    {
        return stUserMapper.selectStUserByUserId(userId);
    }

    /**
     * 查询用户7/30天统计数据列表
     * 
     * @param stUser 用户7/30天统计数据
     * @return 用户7/30天统计数据
     */
    @Override
    public List<StUser> selectStUserList(StUser stUser)
    {
        return stUserMapper.selectStUserList(stUser);
    }

    /**
     * 新增用户7/30天统计数据
     * 
     * @param stUser 用户7/30天统计数据
     * @return 结果
     */
    @Override
    public int insertStUser(StUser stUser)
    {
        stUser.setCreateTime(DateUtils.getNowDate());
        return stUserMapper.insertStUser(stUser);
    }

    /**
     * 修改用户7/30天统计数据
     * 
     * @param stUser 用户7/30天统计数据
     * @return 结果
     */
    @Override
    public int updateStUser(StUser stUser)
    {
        stUser.setUpdateTime(DateUtils.getNowDate());
        return stUserMapper.updateStUser(stUser);
    }

    /**
     * 批量删除用户7/30天统计数据
     * 
     * @param userIds 需要删除的用户7/30天统计数据主键
     * @return 结果
     */
    @Override
    public int deleteStUserByUserIds(Long[] userIds)
    {
        return stUserMapper.deleteStUserByUserIds(userIds);
    }

    /**
     * 删除用户7/30天统计数据信息
     * 
     * @param userId 用户7/30天统计数据主键
     * @return 结果
     */
    @Override
    public int deleteStUserByUserId(Long userId)
    {
        return stUserMapper.deleteStUserByUserId(userId);
    }
}
